# ImportHeadersController_Get

Gets an import job.

`GET /api/v1/ImportHeaders/Get`

**API:** Excise Platform API
**Tag:** ImportHeadersController
**API Version:** v1
**Base URL:** https://excise.avalara.com
**Accepts:** `application/json`
**Authentication:** Basic (username + license key)

Source: https://developer.avalara.com/products/excise/api/methods/ImportHeadersController/ImportHeadersController_Get/

## Description

Retrieves the details of a single import job by its load ID. Returns information such as the job status,
total batches, source records, inserted records, and processing time.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-company-id` | integer | header | Yes | Company ID that owns the data. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see Client Headers. |
| `loadId` | string | query | Yes | The job load ID. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns the import job details. | `Avalara.Excise.Common.Contracts.BusinessObjects.StImportHeaderDC` |

### 200 Response: `Avalara.Excise.Common.Contracts.BusinessObjects.StImportHeaderDC`

Data Contract Class - StImportHeaderDC

| Property | Type | Required | Description |
|---|---|---|---|
| `CompanyId` | integer | No | Maps to company_id as int Example: `0`. |
| `LoadId` | string | No | Maps to load_id as uniqueidentifier Example: `a1b2c3d4-e5f6-7890-abcd-ef1234567890`. |
| `StatusInd` | string | No | Maps to status_ind as nchar(1) Values: `NotStarted`, `Initialized`, `Running`, `Passed`, `Failed`, `Canceled`, `Hold`, `Sleeping`, `Waiting`, `Errors`, `Warnings`, `Reconcile`, `Unused`. Example: `NotStarted`. |
| `LoadDate` | string | No | Maps to load_date as datetime Example: `2026-05-22T04:06:04.8337916Z`. |
| `Description` | string | No | Maps to description as varchar(512) Example: `string`. |
| `TotalBatches` | integer | No | Maps to total_batches as int Example: `0`. |
| `TotalPassedBatches` | integer | No | Maps to total_passed_batches as int Example: `0`. |
| `TotalFailedBatches` | integer | No | Maps to total_failed_batches as int Example: `0`. |
| `TotalSourceRecords` | integer | No | Maps to total_source_records as int Example: `0`. |
| `TotalInsertedRecords` | integer | No | Maps to total_inserted_records as int Example: `0`. |
| `ProcessTimeElapsedSeconds` | integer | No | Maps to process_time_elapsed_seconds as int Example: `0`. |
| `UnassignedDocumentId` | integer | No | Maps to unassigned_document_id as int Example: `0`. |
| `CreatedBy` | string | No | Maps to created_by as nvarchar(128) Example: `string`. |
| `CreatedDate` | string | No | Maps to created_date as datetime Example: `2026-05-22T04:06:04.8962842Z`. |
| `UpdatedBy` | string | No | Maps to updated_by as nvarchar(128) Example: `string`. |
| `UpdatedDate` | string | No | Maps to updated_date as datetime Example: `2026-05-22T04:06:04.9118966Z`. |
| `DeletedDate` | string | No | Maps to deleted_date as datetime Example: `2026-05-22T04:06:04.9118966Z`. |
| `Checksum` | number | No | Maps to checksum as decimal(29,10) Example: `0`. |
| `UnassignedSourceRecords` | integer | No | Maps to unassigned_source_records as int Example: `0`. |
| `UnassignedOverallTotal` | integer | No | Maps to unassigned_overall_total as int Example: `0`. |
| `StiVersionNumber` | string | No | Maps to sti_version_number as nvarchar(255) Example: `string`. |

## Example Request

```bash
curl -X GET "https://excise.avalara.com/api/v1/ImportHeaders/Get" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```